package com.wms.utils.excel.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.wms.entity.table.Kanban;
import lombok.Data;

/**
 * 看板需求ExcelVo
 */
@Data
public class ClcKanbanExcelVo {
    /**
     * 料号
     */
    @ExcelProperty("料号")
    private String goodsId;
    /**
     * 看板id
     */
    @ExcelProperty("看板")
    private String kanbanId;
    /**
     * 看板状态
     * 0：空
     * 1：满
     */
    @ExcelProperty("状态")
    private String kanbanStatus;

    /**
     * 将KanbanPo转化为KanbanExcelVo
     * @param kanbanPo 数据库Po
     * @return ExcelVo
     */
    public static ClcKanbanExcelVo of(Kanban kanbanPo) {
        ClcKanbanExcelVo excelVo = new ClcKanbanExcelVo();
        excelVo.setKanbanId(kanbanPo.getKanbanId());
        excelVo.setGoodsId(kanbanPo.getGoodsId());
        if (kanbanPo.getKanbanStatus() == 1) {
            excelVo.setKanbanStatus("满");
        } else {
            excelVo.setKanbanStatus("空");
        }
        return excelVo;
    }
}
